Subject: Re: bug#46818: leim bootstrap: Variable binding depth exceeds max-specpdl-size

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Feb 2021 05:42:27 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Sat, 27 Feb 2021 19:02:13 -0500
> Cc: Glenn Morris <[email-masked]>, [email-masked]
> 
> Then again, I had to increase max_specpdl_size from 1600 to 1740 to get
> past that problem, which seems like a higher impact than what I expect
> from this little change in `pcase--if`.
> 
> In any case, rather than bump the pdl limit, I suggest the patch below,
> which completely avoids the need to macroexpand all that code we won't
> be using anyway.

I'd rather increase the pdl limit.  Having code that subtly evades
using our normal machinery sounds a maintenance headache in the long
run.

Thanks.